commit:     8f78a67f6712db5d7fcf65bfc7be8d605cf4aa1f
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Jan  3 08:29:10 2025 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Jan  3 08:29:10 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f78a67f

dev-ruby/sqlite3: add 2.5.0

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/sqlite3/Manifest             |  1 +
 dev-ruby/sqlite3/sqlite3-2.5.0.ebuild | 66 +++++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-ruby/sqlite3/Manifest b/dev-ruby/sqlite3/Manifest
index 82bf8f58dc31..6118c4951c16 100644
--- a/dev-ruby/sqlite3/Manifest
+++ b/dev-ruby/sqlite3/Manifest
@@ -3,3 +3,4 @@ DIST sqlite3-2.0.4.tar.gz 82136 BLAKE2B 
636e4e246e1a572a975b4df4a1ed82da6924934e
 DIST sqlite3-2.2.0.tar.gz 89095 BLAKE2B 
51f9279049795c6e54e0b5787f6a19eadba5b848ca52dbc8f2fe89757bac825da34246bd35217c092d43b7af33f85dd0fc2c5171a5aaa23aab6c577f8158ec07
 SHA512 
4a4a012fe092bc7f5ccad6d48e3fcd76f0eaf7d099ed41e4ab99c62c0dc8e7f55b630d8ae10cea39debab00e169f7c8c9ae524f1b7cca7663165c5b38cba28ea
 DIST sqlite3-2.3.0.tar.gz 90987 BLAKE2B 
e474516c60e61cb58e5c3a655580eade70e2caf679474ef5e22d4fdd1cc8244afa809e5c089b5ae7c1ee71f818e035aa97046d768777784331187cc19cf8a9dc
 SHA512 
21530896893b09225e0540bbee765a49c503a66d37ceb453f6bf21904112cb9be043ad613ea609da97243fc9f035fa712222a0b329826eba47f73fd5c507236d
 DIST sqlite3-2.4.1.tar.gz 93568 BLAKE2B 
07808bdeeab904b8e812005cbf69083f0cdc11c554339b1e1f3ffeadff167b0361c147a42e83de7ba06d85479e04ab310351126b561188a44ffb1a5d01593bf7
 SHA512 
9a96442e658f49c89197d4020e145462f66df20650a33edf0a59fe6e09dce6225d60f32290c6d307d7964d7fdff06587a6d4a90ed36fa0fd3616fe3be59a638d
+DIST sqlite3-2.5.0.tar.gz 93667 BLAKE2B 
66e64d54879008aea81b45af73f4292c4ba0306a4a291a293fb3064004359a6fcac125dc90c2b212771a245438c50dba007004cb01e47ec96f236fb5b03e652e
 SHA512 
c59e7fc1ca84b719e2f4b914f45319142c79e3e07aade1ce19f62b722eb53fa10ff9144a3646fc2eaf5ed23a318b3efad3c7436e90f94b8f89bad30e503ad896

diff --git a/dev-ruby/sqlite3/sqlite3-2.5.0.ebuild 
b/dev-ruby/sqlite3/sqlite3-2.5.0.ebuild
new file mode 100644
index 000000000000..7f5741558afe
--- /dev/null
+++ b/dev-ruby/sqlite3/sqlite3-2.5.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_TASK_DOC="faq"
+RUBY_FAKEGEM_DOCDIR="doc faq"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/sqlite3/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR=lib/sqlite3
+RUBY_FAKEGEM_GEMSPEC="sqlite3.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="An extension library to access a SQLite database from Ruby"
+HOMEPAGE="https://github.com/sparklemotion/sqlite3-ruby";
+SRC_URI="https://github.com/sparklemotion/sqlite3-ruby/archive/refs/tags/v${PV}.tar.gz
 -> ${P}.tar.gz"
+RUBY_S="sqlite3-ruby-${PV}"
+LICENSE="BSD"
+
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux 
~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="doc test"
+
+# We track the bundled sqlite version here
+RDEPEND=">=dev-db/sqlite-3.47.2:3"
+DEPEND=">=dev-db/sqlite-3.47.2:3"
+
+ruby_add_bdepend "
+       doc? ( dev-ruby/rdoc )
+       test? ( dev-ruby/minitest:5 )
+"
+
+all_ruby_prepare() {
+       sed -i -e 's/enable_config("system-libraries")/true/' 
ext/sqlite3/extconf.rb || die
+
+       # Remove the runtime dependency on mini_portile2. We build without
+       # it and it is not a runtime dependency for us.
+       sed -e '/mini_portile2/ s:^:#:' \
+               -e '/WARNING/ s:^:#:' \
+               -e "s/0.0.0/${PV}/" \
+               -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+       # Avoid a failing spec for reprepares stats. Upstream indicates that
+       # the stats data should not be relied on other than for human
+       # debugging.
+       sed -e '/def test_stat_reprepares/askip "Fails on Gentoo"' \
+               -i test/test_statement.rb || die
+}
+
+all_ruby_compile() {
+       all_fakegem_compile
+
+       if use doc; then
+               rdoc --title "${P} Documentation" -o doc --main README.rdoc lib 
*.rdoc ext/*/*.c || die
+               rm -f doc/js/*.gz || die
+       fi
+}
+
+each_ruby_test() {
+       ${RUBY} -Ilib:test:. -e 'Dir["test/test_*.rb"].each{|f| require f}' || 
die
+}

Reply via email to